WebMarkupMin.Yui 2.12.0

.NET Standard 2.0 .NET Framework 4.5.2
NuGet\Install-Package WebMarkupMin.Yui -Version 2.12.0
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
dotnet add package WebMarkupMin.Yui --version 2.12.0
<PackageReference Include="WebMarkupMin.Yui" Version="2.12.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add WebMarkupMin.Yui --version 2.12.0
#r "nuget: WebMarkupMin.Yui, 2.12.0"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install WebMarkupMin.Yui as a Cake Addin
#addin nuget:?package=WebMarkupMin.Yui&version=2.12.0

// Install WebMarkupMin.Yui as a Cake Tool
#tool nuget:?package=WebMarkupMin.Yui&version=2.12.0

WebMarkupMin.Yui contains 2 minifier-adapters: `YuiCssMinifier` (for minification of CSS code) and `YuiJsMinifier` (for minification of JS code). These adapters perform minification using the YUI Compressor for .NET (https://github.com/YUICompressor-NET/YUICompressor.NET).

Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows
.NET Core netcoreapp2.0 netcoreapp2.1 netcoreapp2.2 netcoreapp3.0 netcoreapp3.1
.NET Standard netstandard2.0 netstandard2.1
.NET Framework net452 net46 net461 net462 net463 net47 net471 net472 net48
MonoAndroid monoandroid
MonoMac monomac
MonoTouch monotouch
Tizen tizen40 tizen60
Xamarin.iOS xamarinios
Xamarin.Mac xamarinmac
Xamarin.TVOS xamarintvos
Xamarin.WatchOS xamarinwatchos
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on WebMarkupMin.Yui:

Package Downloads
ToolGood.WwwRoot

将 wwwroot 打包成 Controller 的类库。使用WwwRootSetting.BuildControllers(),默认支持br压缩

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
2.12.0 67 8/22/2022
2.9.1 2,520 12/4/2020
2.9.0 249 12/1/2020
2.8.1 630 3/14/2020
2.7.0 609 9/24/2019
2.6.0 433 7/30/2019
2.5.5 803 11/6/2018
2.5.0 895 8/13/2018
2.4.0 1,734 5/7/2017
2.3.0 787 3/7/2017
2.2.0 1,091 9/27/2016
2.0.2 2,046 7/12/2016
2.0.0 1,000 6/28/2016
2.0.0-rc8 982 5/19/2016
2.0.0-rc1 831 11/20/2015
2.0.0-beta5 750 10/17/2015
2.0.0-beta4 756 9/4/2015
2.0.0-beta2 743 8/24/2015
2.0.0-beta1 819 8/13/2015
2.0.0-alpha2 924 7/31/2015
2.0.0-alpha1 912 7/17/2015
1.0.0 1,377 8/26/2015
0.9.5 1,372 9/29/2014
0.9.4 877 9/27/2014
0.9.0 903 9/9/2014
0.9.0-beta4 802 9/8/2014
0.9.0-beta1 799 7/3/2014
0.8.18 1,097 3/15/2014
0.8.17.1 892 3/4/2014
0.8.10 1,056 8/5/2013
0.8.9 1,217 7/17/2013
0.8.1 972 4/20/2013
0.8.0 953 4/15/2013
0.7.3-beta1 857 4/2/2013
0.7.1-alpha1 852 3/26/2013
0.7.0-alpha1 844 3/25/2013

JS error summary has been excluded from the list of errors.